%define upstream_name    Perl-OSType
%define upstream_version 1.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Map Perl operating system names to generic types
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Modules that provide OS-specific behaviors often need to know if the
current operating system matches a more generic type of operating systems.
For example, 'linux' is a type of 'Unix' operating system and so is
'freebsd'.

This module provides a mapping between an operating system name as given by
'$^O' and a more generic type. The initial version is based on the OS type
mappings provided in the Module::Build manpage and the ExtUtils::CBuilder
manpage. (Thus, Microsoft operating systems are given the type 'Windows'
rather than 'Win32'.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.9.0-3.mga6
+ Revision: 1031993
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.9.0-2.mga6
+ Revision: 970024
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.9.0-1.mga6
+ Revision: 884783
- update to 1.009

* Sun Jun 28 2015 sander85 <sander85> 1.8.0-1.mga6
+ Revision: 846711
- update to 1.008

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-3.mga5
+ Revision: 739280
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-2.mga5
+ Revision: 685940
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.7.0-1.mga5
+ Revision: 587627
- update to 1.007

* Mon Oct 21 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 537785
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 1.6.0-1.mga4
+ Revision: 487696
- update to 1.006

* Wed Sep 11 2013 sander85 <sander85> 1.5.0-1.mga4
+ Revision: 477537
- update to 1.005

* Thu Aug 22 2013 sander85 <sander85> 1.4.0-1.mga4
+ Revision: 469510
- update to 1.004

* Wed Mar 27 2013 jquelin <jquelin> 1.2.0-3.mga3
+ Revision: 405518
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 371701
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 31 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 45167
- imported package perl-Perl-OSType


* Mon Jan 31 2011 cpan2dist 1.002-1mdv
- initial mdv release, generated with cpan2dist
